package it.mokabyte.pattern.ejb.entity;

import it.mokabyte.pattern.pk.AccountPK;

import java.util.Collection;
import java.rmi.RemoteException;
import javax.ejb.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Rossini S. - Dozio L.
 * @version 1.0
 */
/**
 * This interface is the home interface for the EJBean AccountBean. A home
 * interface may support one or more create methods,
 * which must correspond to methods named "ejbCreate" in the EJBean.
 *
 *
 */

public interface AccountHome extends EJBHome {

    public Account create(String id, String name,String address, double balance) throws RemoteException, CreateException;

    public Account findByPrimaryKey(AccountPK pk) throws FinderException, RemoteException;
}
