package it.mokabyte.pattern.valueobject;

/**
 * <p>Title: This is the Object Model of the Account</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2002</p>
 * <p>Company: </p>
 * @author Rossini S. - Dozio L.
 * @version 1.0
 * <pre>
 *    <li>ID
 *    <li>NAME
 *    <li>ADDRESS
 *    <li>BALANCE
 * </pre>
 */
public class AccountOM implements java.io.Serializable{


	private String id=null;
	private String name=null;
	private String address=null;
        private double balance= 0.0;

	public  AccountOM() {
		this("unknown_id", "unknown_name", "unknown_addr", 0.0);
	}

	public AccountOM(String id, String nm, String add, double bal) {
		this.id = id;
		this.name = nm;
		this.address = add;
                this.balance = bal;
	}

	// Accessors

	public String getId()
	{
		return this.id;
	}

	public String getName()
	{
		return this.name;
	}

	public String getAddress()
	{
		return this.address;
	}

        public double getBalance()
	{
		return this.balance;
	}

	// Mutators

	public void setCustId(String value)
	{
		this.id = value;
	}

	public void setName(String value)
	{
		this.name = value;
	}

	public void setAddress(String value)
	{
		this.address = value;
	}

        public void setBalance(double value)
	{
		this.balance = value;
	}

	public String toString()
	{
		return "AccountOM : " + this.id + "-" + this.name + "-" + this.address + "-" + this.balance;
	}

}
